Package com.arms.config

## Class KafkaConfig

- java.lang.Object
- - com.arms.config.KafkaConfig

-     @Configuration
      @RefreshScope
      @EnableKafka
      public class KafkaConfig
      extends java.lang.Object

  Kafka 설정 클래스 REQADD 토픽에 대한 순차 처리 보장 설정: 1. 컨슈머 동시성(concurrency) = 1 → 단일 스레드로 메시지 순차 처리 2. MAX_POLL_RECORDS = 1 → 한 번에 1개 메시지만 폴링 3. 수동 커밋 모드 → 메시지 처리 완료 후 명시적 커밋
  Since:
    2023

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.kafka.core.ConsumerFactory<java.lang.String,​java.lang.String>` | `consumerFactory()` | REQADD 토픽 전용 Consumer Factory 순차 처리 보장을 위한 설정: - MAX_POLL_RECORDS = 1: 한 번에 1개 메시지만 가져옴 - ENABLE_AUTO_COMMIT = false: 수동 커밋으로 처리 완료 후 커밋 - AUTO_OFFSET_RESET = earliest: 컨슈머 그룹 최초 실행 시 처음부터 읽음
    `org.springframework.kafka.core.KafkaAdmin` | `kafkaAdmin()` |
    `org.apache.kafka.clients.admin.AdminClient` | `kafkaAdminClient​(org.springframework.kafka.core.KafkaAdmin kafkaAdmin)` |
    `org.springframework.kafka.core.ProducerFactory<java.lang.String,​java.lang.String>` | `producerFactory()` |
    `org.springframework.kafka.config.ConcurrentKafkaListenerContainerFactory<java.lang.String,​java.lang.String>` | `reqAddKafkaListenerContainerFactory()` | REQADD 토픽 전용 Listener Container Factory 순차 처리 보장을 위한 설정: - concurrency = 1: 단일 컨슈머 스레드로 순차 처리 - AckMode.MANUAL: 수동 커밋으로 메시지 처리 완료를 명시적으로 제어 - SeekToCurrentErrorHandler: 에러 발생 시 재시도 및 로깅
    `org.springframework.kafka.core.KafkaTemplate<java.lang.String,​java.lang.String>` | `reqAddKafkaTemplate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaConfig

          public KafkaConfig()

  - ### Method Detail

    - #### kafkaAdmin

          @Bean
          public org.springframework.kafka.core.KafkaAdmin kafkaAdmin()

    - #### kafkaAdminClient

          @Bean
          public org.apache.kafka.clients.admin.AdminClient kafkaAdminClient​(org.springframework.kafka.core.KafkaAdmin kafkaAdmin)

    - #### producerFactory

          @Bean
          public org.springframework.kafka.core.ProducerFactory<java.lang.String,​java.lang.String> producerFactory()

    - #### reqAddKafkaTemplate

          @Bean
          public org.springframework.kafka.core.KafkaTemplate<java.lang.String,​java.lang.String> reqAddKafkaTemplate()

    - #### consumerFactory

          @Bean
          public org.springframework.kafka.core.ConsumerFactory<java.lang.String,​java.lang.String> consumerFactory()

      REQADD 토픽 전용 Consumer Factory 순차 처리 보장을 위한 설정: - MAX_POLL_RECORDS = 1: 한 번에 1개 메시지만 가져옴 - ENABLE_AUTO_COMMIT = false: 수동 커밋으로 처리 완료 후 커밋 - AUTO_OFFSET_RESET = earliest: 컨슈머 그룹 최초 실행 시 처음부터 읽음

    - #### reqAddKafkaListenerContainerFactory

          @Bean
          public org.springframework.kafka.config.ConcurrentKafkaListenerContainerFactory<java.lang.String,​java.lang.String> reqAddKafkaListenerContainerFactory()

      REQADD 토픽 전용 Listener Container Factory 순차 처리 보장을 위한 설정: - concurrency = 1: 단일 컨슈머 스레드로 순차 처리 - AckMode.MANUAL: 수동 커밋으로 메시지 처리 완료를 명시적으로 제어 - SeekToCurrentErrorHandler: 에러 발생 시 재시도 및 로깅